<?php echo $header; ?>

<div id="content">
  <!-- <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div> -->
  <?php if ($warning) { ?>
  <div class="warning"><?php echo $warning; ?></div>
  <?php } ?>
  <?php if ($success) { ?>
  <div class="success"><?php echo $success; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/module.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons">
        <a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a>
        <a href="<?php echo $cancel; ?>"><?php echo $button_cancel; ?></a>
      </div>
    </div>
    <div class="content">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
        <input type="hidden" name="submitSmartBill" value="1" >

        <h2>setari</h2>
        <!-- COMPANIES -->
        <table class="form">
          <tr>
            <td>Compania implicita</td>
            <td>
              <select name="smartbill_company">
                <?php echo $this->_renderSelect($settings->companies, 'vatCode', 'name', $company->vatCode); ?>
              </select>
              <br><span class="help">Daca ai mai multe firme pe cont, vei emite pe cea selectata</span>
              <div class="error" style="display: none;"><strong>Salvati configuratia pentru a incarca datele companiei alese si apoi efectuati setarile pentru emiterea corecta a documentelor in Smart Bill</strong></div>
            </td>
          </tr>
        </table>

        <!-- TAXES -->
        <h3>Setari TVA</h3>
        <?php if ( !empty($company->isTaxPayer) ): ?>
        <table class="form">
          <tr>
            <td><span class="required">*</span> Preturile includ TVA?</td>
            <td>
              <select name="smartbill_price_include_vat">
                <?php echo $this->_renderSelect($this->yesNoOptions(), 'id', 'name', $SMARTBILL_PRICE_INCLUDE_VAT); ?>
              </select>
              <br><span class="help">Daca vrei ca preturile sa fie transmise din PrestaShop catre Smart Bill cu TVA inclus</span>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> Cota TVA produse</td>
            <td>
              <select name="smartbill_products_vat">
                <?php echo $this->_renderSelect($company->defaultVatCode, 'id', 'name', $SMARTBILL_PRODUCTS_VAT); ?>
              </select>
              <br><span class="help">Ce cota TVA se va aplica produselor pe documentul emis in Smart Bill</span>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> Cota TVA transport</td>
            <td>
              <select name="smartbill_transport_vat">
                <?php echo $this->_renderSelect($company->taxes, 'id', 'name', $SMARTBILL_TRANSPORT_VAT); ?>
              </select>
            </td>
          </tr>
        </table>
        <?php else: ?>
        <table class="form">
          <tr>
            <td>Neplatitor TVA</td>
          </tr>
        </table>
        <?php endif; ?>

        <!-- COMPANY SETTINGS -->
        <h3>Setari emitere documente</h3>
        <table class="form">
          <tr>
            <td><span class="required">*</span> Tipul de document emis<br>in Smart Bill</td>
            <td>
              <select name="smartbill_document_type">
                <?php echo $this->_renderSelect($this->documentTypeOptions(), 'id', 'name', $SMARTBILL_DOCUMENT_TYPE); ?>
              </select>
            </td>
          </tr>
          <tr class="series-invoice">
            <td><span class="required">*</span> Serie implicita factura</td>
            <td>
              <select name="smartbill_invoice_series">
                <?php echo $this->_renderSelect($company->invoiceSeries, 'id', 'name', $SMARTBILL_INVOICE_SERIES); ?>
              </select>
            </td>
          </tr>
          <tr class="series-proforma">
            <td><span class="required">*</span> Serie implicita proforma</td>
            <td>
              <select name="smartbill_proforma_series">
                <?php echo $this->_renderSelect($company->estimateSeries, 'id', 'name', $SMARTBILL_PROFORMA_SERIES); ?>
              </select>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> Tipul de cod folosit in OpenCart</td>
            <td>
              <select name="smartbill_product_sku_type">
                <?php echo $this->_renderSelect($this->productSKUTypes(), 'id', 'name', $SMARTBILL_PRODUCT_SKU_TYPE); ?>
              </select>
              <br><span class="help">Alege codurile pe care le folosesti in OpenCart si care sunt echivalente cu codurile din Smart Bill</span>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> Unitatea de masura implicita</td>
            <td>
              <select name="smartbill_order_unit_type">
                <?php echo $this->_renderSelect($company->measureUnits, 'id', 'name', $SMARTBILL_ORDER_UNIT_TYPE); ?>
              </select>
              <br><span class="help">Ce unitate de masura se va aplica produselor pe documentul emis in Smart Bill</span>
            </td>
          </tr>
          <tr>
            <td>Preturile produselor<br>din OpenCart sunt in</td>
            <td>
              <select name="smartbill_document_currency">
                <?php echo $this->_renderSelect($this->prodCurrencyOptions($company->currencies), 'symbol', 'name', $SMARTBILL_DOCUMENT_CURRENCY); ?>
              </select>
              <br><span class="help">Moneda aceasta se va prelua pe documentul emis in Smart Bill</span>
            </td>
          </tr>
          <tr>
            <td>Moneda documentului emis<br>in Smart Bill</td>
            <td>
              <select name="smartbill_document_currency_doc">
                <?php echo $this->_renderSelect($this->docCurrencyOptions(), 'id', 'name', $SMARTBILL_DOCUMENT_CURRENCY_DOC); ?>
              </select>
            </td>
          </tr>
          <tr>
            <td>Include transportul in factura?</td>
            <td>
              <select name="smartbill_order_include_transport">
                <?php echo $this->_renderSelect($this->yesNoOptions(), 'id', 'name', $SMARTBILL_ORDER_INCLUDE_TRANSPORT); ?>
              </select>
              <br><span class="help">Daca vrei ca preturile sa fie transmise din OpenCart catre Smart Bill cu TVA inclus</span>
            </td>
          </tr>
          <tr>
            <td>Salveaza clientul in Smart Bill</td>
            <td>
              <select name="smartbill_company_save_client">
                <?php echo $this->_renderSelect($this->yesNoOptions(), 'id', 'name', $SMARTBILL_COMPANY_SAVE_CLIENT); ?>
              </select>
              <br><span class="help">Salvand clientul in Smart Bill, vei avea datele lui disponibile pentru emiteri ulterioare</span>
            </td>
          </tr>
          <?php if ( !empty($company->isStockEnabled) ): ?>
          <tr>
            <td><span class="required">*</span> Gestiune</td>
            <td>
              <select name="smartbill_warehouse">
                <?php echo $this->_renderSelect($company->warehouses, 'id', 'name', $SMARTBILL_WAREHOUSE); ?>
              </select>
            </td>
          </tr>
          <?php endif; ?>
          <tr>
            <td>Afiseaza pretul final, cu discount inclus</td>
            <td>
              <select name="smartbill_price_include_discounts">
                <?php echo $this->_renderSelect($this->yesNoOptions(), 'id', 'name', $SMARTBILL_PRICE_INCLUDE_DISCOUNTS); ?>
              </select>
            </td>
          </tr>
          <!-- <tr>
            <td>Distribuie discounturi, aditionale comenzii, per produse?</td>
            <td>
              <select name="smartbill_cart_rules_as_discount">
                <?php echo $this->_renderSelect($this->yesNoOptions(), 'id', 'name', !isset($SMARTBILL_CART_RULES_AS_DISCOUNT) ? true : $SMARTBILL_CART_RULES_AS_DISCOUNT); ?>
              </select>
            </td>
          </tr> -->
          <!--
          <tr>
            <td>La emitere document, schimba statusul comenzii in</td>
            <td>
              <select name="smartbill_order_status">
                <?php echo $this->_renderSelect($this->orderStatusOptions(), 'id', 'name', $SMARTBILL_ORDER_STATUS); ?>
              </select>
            </td>
          </tr>
          -->
        </table>
      </form>
    </div>
  </div>
</div>
<script type="text/javascript" src="view/javascript/smartbill.js?1"></script>

<?php echo $footer; ?>